# Behavior Testing Data
Collection of testing data in various behavior file formats. This data is used to test [NeuroConv](https://github.com/catalystneuro/neuroconv).

## Contributing
If you have small data files in a format used for behavior analysis or processing and you want to make these files publicly available for the purpose of software building on that format, then this is the right place to contribute!

### Requirements
To contribute a dataset the following criteria need to be fulfilled:
* You need to have the rights to publish the data files
* The data files need to be small in size (ideally in the range of kilobytes, no more than 10MB)

### How to add files
To add files to the repository please follow the steps below.

**1) On the gin platform**

* Create a gin account
* Open an issue stating the format of files you would like to add. Please specify in this issue, which type of system is generating these files and in which software your files could be used as testing files. After reviewing the proposed format you will be added as a collaborator to the project.

**2) On your local computer**

* Install the gin client on your machine ([gin-cli setup instructions](https://gin.g-node.org/G-Node/Info/wiki/GIN+CLI+Setup#linux), linux is the most recommended)
* Log in with your gin-cli via `gin login`
* Create a local copy of the repository on your machine via `gin get CatalystNeuro/behavior_testing_data`
* Create a new git branch via `gin git checkout -b <my_branch_name>`
* If the file(s) you want to add correspond to a new format, create a new subfolder with the corresponding system brand name.
* If the files(s) you want to add are extra examples of an existing format, identify the existing folder within which to add your file(s).
* Copy your file(s) in the new folder. This will be referred to below as `<folder_or_file_path>`.
* Commit your file(s) via `gin commit <folder_or_file_path>`
* Lock the file(s) via `gin lock <folder_or_file_path>`
* Upload your changes via `gin upload`


*Note*: You can also commit files using any other git-annex capable tool. However, make sure that the .gitattributes specifications are respected and files are committed in a locked state. Only the README and LICENCE file should be committed to git, all other files should be tracked by git-annex.

**3) On the gin platform**

* The new branch <my_branch_name> should be available at the webpage. Verify that the changes are correctly registered in this branch.
* Open a pull request (PR) with your changes to the master branch of the CatalystNeuro/behavior_testing_data repository. In your PR description please specify again what format you want to add, which type of system is generating these files and which software could make use of these.
* You will potentially receive comments from the repository maintainers asking you to change some details in your PR. Please do not merge your own pull request!
* After resolving the comments your files will be merged into the main repository. Congratulation! Your files are now part of the growing collection of electrophysiology testing files and can now be used by any project to check for file format compatibility.

*Note*: Don't forget to switch back to the master branch after completion of your PR via `gin git checkout master`.

*Note*: You can delete the branch after merging is complete via `gin git push origin --delete <branch_name>`

## License
This Behavior Testing Data is made available under the Open Database License: http://opendatacommons.org/licenses/odbl/1.0/. Any rights in individual contents of the database are licensed under the Database Contents License: https://creativecommons.org/licenses/by-sa/4.0/legalcode
